<template>
  <wd-form ref="form" :model="model" class="relative form_box">
    <wd-cell-group :border="true">
      <wd-input
        v-model="model.contractNo"
        label="合同号"
        label-width="100px"
        prop="contractNo"
        clearable
        placeholder="请输入合同号"
      />
      <wd-input
        v-model="model.clientName"
        label="客户名称"
        label-width="100px"
        prop="clientName"
        clearable
        placeholder="请输入客户名称"
      />
      <wd-input
        v-model="model.workbench"
        label="机台"
        label-width="100px"
        prop="workbench"
        clearable
        placeholder="请输入机台"
      />
      <wd-input
        v-model="model.monofilNo"
        label="单体编号"
        label-width="100px"
        prop="monofilNo"
        clearable
        placeholder="请输入单体编号"
      />
      <wd-input
        v-model="model.specification"
        label="规格"
        label-width="100px"
        prop="specification"
        clearable
        placeholder="请输入规格"
      />
      <wd-input
        v-model="model.singleDisc"
        label="单丝盘长"
        label-width="100px"
        prop="singleDisc"
        clearable
        placeholder="请输入单丝盘长"
      />
    </wd-cell-group>
  </wd-form>
</template>

<script lang="ts" setup>
import useFormData from "@/hooks/useFormData";

const { form: model } = useFormData({
  contractNo: undefined, // 合同号
  clientName: undefined, // 客户名称
  workbench: undefined, // 机台
  monofilNo: undefined, // 单体编号
  specification: undefined, // 规格
  singleDisc: undefined, // 单丝盘长
});
</script>

<style lang="scss" scoped>
.form_box {
}
.submit_btn {
  position: absolute;
  bottom: 0;
  width: 100%;
}
</style>
